Subject: Re: Line height too small with Monaco font on Mac OS X

From: Chong Yidong <[email-masked]>
Date: Mon, 08 Feb 2010 18:43:54 -0500

Leo <[email-masked]> writes:

> On 2010-02-08 11:10 +0000, Francis Devereux wrote:
>> A few months ago I tried out Emacs 23.1 on Mac OS X, and found that
>> the line height was too small when using the Monaco font (some
>> characters are clipped at the bottom, including ()[]).  I downloaded
>> and compiled Emacs 23.1.92 today and found that it still has the same
>> problem.
>>
>> Could someone have a look at the patch I added to
>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3975
>>  and apply it if it looks OK?
>
> No wonder I always feel a bit weird using monaco. I have moved to DejaVu
> Sans Mono and it is looking better.
>
> Patch is attached to bug #3975. Maybe someone can review it?

I've reviewed the patch, and it looks ok.  I've checked it in, could you
test it?